Sorcery::CryptoProviders::SHA1.instance_eval do

  def encrypt_like_devise(*tokens)
    digest = ''
    password = tokens.first
    salt = tokens.last
    pepper = ''
    stretches.times { digest = secure_digest(salt, digest, password, pepper) }
    digest
  end

  def secure_digest_like_devise(*tokens)
    Digest::SHA1.hexdigest('--' << tokens.flatten.join('--') << '--')
  end

  alias encrypt encrypt_like_devise
  alias secure_digest secure_digest_like_devise

end
